Package org.apache.torque.generator.source.jdbc

## Class ForeignKeyMetadata

- java.lang.Object
- - org.apache.torque.generator.source.jdbc.ForeignKeyMetadata

-     public class ForeignKeyMetadata
      extends Object

  The data about a foreign key as read from JDBC Metadata.
  Version:
    $Id: ForeignKeyMetadata.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForeignKeyMetadata()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `getForeignColumns()` | Returns the names of the foreign columns.
    `String` | `getForeignKeyName()` | Returns the name of the foreign key.
    `List<String>` | `getLocalColumns()` | Returns the names of the local columns.
    `String` | `getReferencedTable()` | Returns the name of the referenced (foreign) table.
    `void` | `setForeignKeyName​(String foreignKeyName)` | Sets the name of the foreign key.
    `void` | `setReferencedTable​(String referencedTable)` | Sets the name of the referenced (foreign) table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForeignKeyMetadata

          public ForeignKeyMetadata()

  - ### Method Detail

    - #### getReferencedTable

          public String getReferencedTable()

      Returns the name of the referenced (foreign) table.
      Returns:
        the name of the referenced (foreign) table.

    - #### setReferencedTable

          public void setReferencedTable​(String referencedTable)

      Sets the name of the referenced (foreign) table.
      Parameters:
        `referencedTable` - the name of the referenced (foreign) table.

    - #### getForeignKeyName

          public String getForeignKeyName()

      Returns the name of the foreign key.
      Returns:
        the name of the foreign key.

    - #### setForeignKeyName

          public void setForeignKeyName​(String foreignKeyName)

      Sets the name of the foreign key.
      Parameters:
        `foreignKeyName` - the name of the foreign key.

    - #### getLocalColumns

          public List<String> getLocalColumns()

      Returns the names of the local columns. To change the list in this object, the returned list can be modified.
      Returns:
        the names of the local columns.

    - #### getForeignColumns

          public List<String> getForeignColumns()

      Returns the names of the foreign columns. To change the list in this object, the returned list can be modified.
      Returns:
        the names of the foreign columns.